$!
$! QUOTE.COM written by Erik Bussink
$! A way to display the quotes from QL.QUOTE on a VAX/VMS system.
$!+----------- Preferences ---------------------------------------------------+ 
$ quote_file = "[bussink.bin]ql.quote"	! Path and Filename to the quotes
$ num_of_quotes=1028 			! Number of quotes in quote file,
$					!	first one is number zero
$ boolean_title = "OFF"			! Boolean value to show Title
$ boolean_number = "OFF"    		! Boolean value to show number of quote
$ boolean_clear_screen = "OFF"		! Boolean to clear the screen before
$					!  	the quote is given
$ boolean_line_before = "OFF"		! Boolean to have a white line before.
$ boolean_line_after = "OFF"		! Boolean to have a white line after.
$!+---------------------------------------------------------------------------+
$!| Quote Generator, by Andy Leslie  4-Jun-1992  'Slow and dirty but it works'|
$!|									      |
$!| History :      	Erik Bussink 4-Jun-1992	 25% Faster for high # quote  |
$!|		        Andy Leslie  6-Jun-1992  Fast, using SEARCH	      |
$!|			Erik Bussink 7-Jun-1992	 Added Preferences	      |
$!+---------------------------------------------------------------------------+
$ random_number = f$cvtime("",,"HUNDREDTH")+f$cvtime("",,"SECOND")
$ random_number = (random_number-(num_of_quotes*(random_number/ -
			num_of_quotes)))- 1   		! reduce to range
$ Esc[0,8] = 27
$ Clear_Screen = Esc + "[2J" + Esc + "[H"
$ count = 0
$ count_fast_loop = 0
$
$ If boolean_clear_screen .eqs. "ON" then -
	write sys$output clear_screen
$ If boolean_title .eqs. "ON" then -
	write sys$output "Quantum Leap quote of the day"
$ If boolean_number .eqs. "ON" then -
	write sys$output "(Quote ''random_number' of ''num_of_quotes')"
$ 
$ search 'quote_file' " ''random_number'%"/out=ql.tmp
$ If boolean_line_before .eqs. "ON" then  write sys$output  " "
$ close/nolog quotefile
$ open quotefile ql.tmp
$read_loop:
$ read/err=eof quotefile quote 
$ write sys$output f$extract(6,80,quote)
$ goto read_loop
$eof:
$ close/nolog quotefile
$ del/nolog ql.tmp.*
$ If boolean_line_after .eqs. "ON" then write sys$output  " "
